# Repro

[Repro](https://repro.io/) は、アプリやWebサイトに特化したマーケティングプラットフォームです。\
アナリティクス機能でサービスの成長につながる課題を発見し、 マーケティング機能を活用することでスピーディーな施策実施・効果検証を実現します。

{% hint style="info" %}
どのプランをご利用の場合でも、こちらの Repro サービスをご利用いただけます。最新の Repro プラグインを使用する場合 ( [GitHub ](https://github.com/reproio/repro-ios-sdk)経由で入手 ) には、こちらの [インポート](/products_guide/monaca_ide/dependencies/cordova_plugin.md#cordova-puraguin-noinpto) 機能をご利用ください。なお、プラグインのインポートには、対応するプランへの加入が必要です。プランの詳細は、 [こちら ](https://ja.monaca.io/pricing.html)をご確認ください。
{% endhint %}

## Repro サービスの追加

1. Monaca クラウド IDE から、**`設定 → 外部サービス連携`** を選択します。
2. *Repro* サービスの`詳細を見る`ボタンをクリックします。
3. &#x20;`インストール`ボタンをクリックします。

![](/files/-MgOkYZWPrunsvPAuawg)

&#x20;   4\. インストールを継続するか確認する画面が表示されます。`OK`をクリックして、インストールを開始します。

## Repro サービスの設定

Repro の使用には、アプリの 「 トークン 」 が必要です。トークンの確認手順を、次に記します。

1. Repro のサイトに行き、アカウントを作成します。
2. Repro の管理画面へ移動して、**`設定 → SDK セットアップ`** を選択して、アプリのトークンを確認します。

![](/files/-MgOkkwHcGHTaT7Lq0tT)

&#x20;   3\. アプリのトークンの確認後、次の `onDeviceReady` 関数の 「 YOUR\_APP\_TOKEN 」 の箇所に、トークンを挿入します。挿入後、次のコードをプロジェクトに追加します。

```javascript
document.addEventListener("deviceready",onDeviceReady,false);
function onDeviceReady() {
Repro.setup("YOUR_APP_TOKEN");
Repro.startRecording();
}
```

{% hint style="info" %}
Repro の使用方法の詳細は、\[Repro のドキュメント [外部サイト ](http://docs.repro.io/ja/)をご確認ください。
{% endhint %}

## Repro サービスの解除

1. Monaca クラウド IDE から、**`設定 → Cordova プラグインの管理`**&#x3092;選択します。
2. `有効なプラグイン` 項目へ移動し、*Repro* プラグイン上にカーソルを置き、 `無効`ボタンをクリックします。

![](/files/-MgOl2hPRRT8xj0nCPXO)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/reference/service_integration/repro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
